1. Please help support our sponsors by considering their products and services.
    Our sponsors enable us to maintain high-speed Internet connection and fast webservers.
    They support this free information and knowledge exchange forum service at no cost to you.

    Please welcome our latest sponsor Tectrade . We can show our appreciation by learning more about Tectrade Solutions

AS/400 compatibility with SP 7.1.*

Discussion in 'Backup / Archive Discussion' started by c.j.hund, Feb 10, 2017.

  1. c.j.hund

    c.j.hund ADSM.ORG Member

    Joined:
    Jun 22, 2005
    Messages:
    242
    Likes Received:
    1
    Occupation:
    Tivoli Admin
    Hello fellow storage/backup admins,

    I am trying to figure out if I would be able to backup a couple of AS/400 clients on a linux TSM 7.1.3 server. It seems like the last supported client API for AS/400 was version 6.1.

    The client compatibility matrix which describes this is located here:

    http://www-01.ibm.com/support/docview.wss?&uid=swg21612681#i5/OS (AS/400) API only

    Is that telling us that we could back up an AS/400 client on a version 7.1 TSM server?

    Sincere thanks,
    C.J.
     
  2.  
  3. moon-buddy

    moon-buddy ADSM.ORG Moderator

    Joined:
    Aug 24, 2005
    Messages:
    6,861
    Likes Received:
    363
    Occupation:
    Electronics Engineer, Security Professional
    Location:
    Somewhere in the US
    That is correct but through the API only.
     
    c.j.hund likes this.
  4. c.j.hund

    c.j.hund ADSM.ORG Member

    Joined:
    Jun 22, 2005
    Messages:
    242
    Likes Received:
    1
    Occupation:
    Tivoli Admin
    Thank you very much for the quick response. I'm not very familiar with AS/400 backups. What does it mean that it's only supported through the "API Only"? Would there be other options to back up AS/400 if I were using an older version of TSM?
     
  5. moon-buddy

    moon-buddy ADSM.ORG Moderator

    Joined:
    Aug 24, 2005
    Messages:
    6,861
    Likes Received:
    363
    Occupation:
    Electronics Engineer, Security Professional
    Location:
    Somewhere in the US
    Client 6.1 to TSM 6.x and later is a better mix.

    The AS/400 talks to TSM through an API which is part of its OS. Note that the link you mention is for versions:
    • V5R4
    • V6R1
    • V7R1
    of the AS/400 OS
     
    c.j.hund likes this.
  6. c.j.hund

    c.j.hund ADSM.ORG Member

    Joined:
    Jun 22, 2005
    Messages:
    242
    Likes Received:
    1
    Occupation:
    Tivoli Admin

    Thank you for clarifying that point.

    Very good. So long as my API/Client OS is version 6.1 (or 7.1), I should be able to back it up to a TSM 7.1.3 server. That's basically the bottom line here, correct?
     
  7. moon-buddy

    moon-buddy ADSM.ORG Moderator

    Joined:
    Aug 24, 2005
    Messages:
    6,861
    Likes Received:
    363
    Occupation:
    Electronics Engineer, Security Professional
    Location:
    Somewhere in the US
    Yes
     

Share This Page